Package org.h2gis.functions.spatial.properties

# Class ST_Distance

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_Distance

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Distance extends org.h2gis.api.DeterministicScalarFunction
For geometry type returns the 2-dimensional minimum Cartesian distance between two geometries in projected units (spatial ref units)

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Distance()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`static Double`
`distance(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b)`
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Distance

public ST_Distance()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### distance

public static Double distance(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b) throws SQLException

Parameters:
  `a` - Geometry instance or null
  `b` - Geometry instance or null
Returns:
  the 2-dimensional minimum Cartesian distance between two geometries in projected units (spatial ref units)
Throws:
  `SQLException`